Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

PSoC™ 4

JoLo_1693126
Level 3
First like received First like given
Level 3

Hello,

   

I hope I posted in the right forum.

   

I recently purchased the CY8CKIT-042BLE kit and tried following the videos on:

   

http://www.cypress.com/training/how-make-ios-app-control-robot-using-bluetooth-low-energy-ble

   

​However, on lesson 2, they use PSOC 3.2 and I downloaded PSOC 3.3.  So when Alan creates a new project, my pop-up is different than his.

   

Not sure what to select on the first pop-up when creating a new project.

   

 

   

thanks,

   

Joseph

0 Likes
1 Solution
Bob_Marlowe
Level 10
50 questions asked 10 questions asked 1000 solutions authored
Level 10

Welcome in the forum, Joseph!

   

You may choose from your -042 Kit the PSoC or PRoc module as indicated in the attached picture to start off. You later may choose a pre-populated or an empty design which you will need to populate with the components you need. When you are not yet used to PSoCs I would suggest you to start with PSoC introductions (from the start page there are a lot of program examples to select) and leave out the BLE concept until you are a bit (ro byte 😉 more familar how designing works.

   

 

   

Bob

View solution in original post

0 Likes
4 Replies
Bob_Marlowe
Level 10
50 questions asked 10 questions asked 1000 solutions authored
Level 10

Welcome in the forum, Joseph!

   

You may choose from your -042 Kit the PSoC or PRoc module as indicated in the attached picture to start off. You later may choose a pre-populated or an empty design which you will need to populate with the components you need. When you are not yet used to PSoCs I would suggest you to start with PSoC introductions (from the start page there are a lot of program examples to select) and leave out the BLE concept until you are a bit (ro byte 😉 more familar how designing works.

   

 

   

Bob

0 Likes
JoLo_1693126
Level 3
First like received First like given
Level 3

Hello Bob,

   

Thanks for the response. I don't have any kits listed. See attached. 

   

In looking at the quick start guide (001-64494, Rev. *M), it states, "Select a kit if it is installed, or select a specific Target device."  Since I do not see any kits, I assume it isn't "installed". If so, how do I install it so that I see it listed in the PSoC Creator 3.3?

   

 

   

thanks in advance

   

Joseph

0 Likes
Bob_Marlowe
Level 10
50 questions asked 10 questions asked 1000 solutions authored
Level 10

Follow this link and go down to "Related Files". Download and install the "Kit only" archive.

   

(I found the above link by entering "CY8CKIT-042BLE" into the keyword field right at top of this page)

   

 

   

Bob

JoLo_1693126
Level 3
First like received First like given
Level 3

Hi Bob,

   

Thanks for the link.  Just to help others, when I tried to download: CY8CKIT-042-BLE Kit Only Package (Kit Design Files, Documentation, Examples), it states I need CYSMART version X and for me to download that, they recommend downloading: CY8CKIT-042-BLE Kit Complete Setup (Kit Design Files, PSoC Creator 3.3, CySmart,PSoC Programmer, Documentation, Examples) .

   

I downloaded the complete Setup, since this includes the CySmart.  

   

I can now see my kit on the list.

   

Thanks Bob!  

   

 

   

And now for my other new issues =). See new post.  Thanks